## hdparm 3.1

=== Makefile ===
# Makefile for hdparm
 
all: hdparm

hdparm: hdparm.c /usr/include/linux/hdreg.h
	gcc -Wall -Wstrict-prototypes -O2 -s -o hdparm hdparm.c
 
install: all hdparm.8
	if [ -f /usr/sbin/hdparm ]; then rm -f /usr/sbin/hdparm ; fi 
	if [ -f /usr/local/bin/hdparm ]; then rm -f /usr/local/bin/hdparm ; fi 
	if [ -f /usr/local/sbin/hdparm ]; then rm -f /usr/local/sbin/hdparm ; fi 
	if [ -f /usr/man/man8/hdparm.8 ]; then rm -f /usr/man/man8/hdparm.8 ; fi
	if [ -f /usr/local/man/man8/hdparm.8 ]; then rm -f /usr/local/man/man8/hdparm.8 ; fi 
	install -m 755 -o root -g root hdparm /usr/local/sbin
	install -m 644 -o root -g root hdparm.8 /usr/local/man/man8

clean:
	rm -f hdparm *.o core

## hdparm 3.6

=== Makefile ===

# Makefile for hdparm
#
# heres a makefile for hdparm 3.5 that allows a non-root install (for
# network root machines and such).    Ytiddo <ytiddo@dicksonstreet.com>

destdir =

all: hdparm

hdparm: hdparm.c /usr/include/linux/hdreg.h
	gcc -Wall -Wstrict-prototypes -O2 -s -o hdparm hdparm.c
 
install: all hdparm.8
	if [ -f $(destdir)/usr/sbin/hdparm ]; then rm -f $(destdir)/usr/sbin/hdparm ; fi 
	if [ -f $(destdir)/usr/local/bin/hdparm ]; then rm -f $(destdir)/usr/local/bin/hdparm ; fi 
	if [ -f $(destdir)/usr/local/sbin/hdparm ]; then rm -f $(destdir)/usr/local/sbin/hdparm ; fi 
	if [ -f $(destdir)/usr/man/man8/hdparm.8 ]; then rm -f $(destdir)/usr/man/man8/hdparm.8 ; fi
	if [ -f $(destdir)/usr/local/man/man8/hdparm.8 ]; then rm -f $(destdir)/usr/local/man/man8/hdparm.8 ; fi 
	install -m 755 -o root -g root hdparm $(destdir)/usr/local/sbin
	install -m 644 -o root -g root hdparm.8 $(destdir)/usr/local/man/man8

clean:
	rm -f hdparm *.o core

## hdparm 4.5

=== Makefile ===
# Makefile for hdparm

# DESTDIR is for non root installs (eg packages, NFS) only!
DESTDIR =

binprefix = /
manprefix = /usr
exec_prefix = $(binprefix)
sbindir = $(exec_prefix)/sbin
mandir = $(manprefix)/share/man
oldmandir = $(manprefix)/man

CC = gcc
CFLAGS = -O2 -Wall -Wstrict-prototypes -s
LDFLAGS =
INSTALL = install
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_PROGRAM = $(INSTALL)

all: hdparm

hdparm: hdparm.o identify.o
	$(CC) $(LDFLAGS) -o hdparm hdparm.o identify.o
 
install: all hdparm.8
	if [ -f $(DESTDIR)$(sbindir)/hdparm ]; then rm -f $(DESTDIR)$(sbindir)/hdparm ; fi 
	if [ -f $(DESTDIR)$(mandir)/man8/hdparm.8 ]; then rm -f $(DESTDIR)$(mandir)/man8/hdparm.8 ;\
	elif [ -f $(DESTDIR)$(oldmandir)/man8/hdparm.8 ]; then rm -f $(DESTDIR)$(oldmandir)/man8/hdparm.8 ; fi
	$(INSTALL_PROGRAM) hdparm $(DESTDIR)$(sbindir)/hdparm
	if [ -d $(DESTDIR)$(mandir) ]; then $(INSTALL_DATA) hdparm.8 $(DESTDIR)$(mandir)/man8/hdparm.8 ;\
	elif [ -d $(DESTDIR)$(oldmandir) ]; then $(INSTALL_DATA) hdparm.8 $(DESTDIR)$(oldmandir)/man8/hdparm.8 ; fi

clean:
	rm -f hdparm *.o core

## hdparm 6.1

=== Makefile ===
--- 
+++ 
@@ -10,20 +10,24 @@
 mandir = $(manprefix)/share/man
 oldmandir = $(manprefix)/man
 
+ifndef CC
 CC = gcc
-CFLAGS = -O2 -Wall -Wstrict-prototypes -s
-LDFLAGS =
+endif
+CFLAGS := -O2 -W -Wall -Wbad-function-cast -Wcast-align -Wpointer-arith -Wcast-qual -Wshadow -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -fkeep-inline-functions -Wwrite-strings -Waggregate-return -Wnested-externs -Wtrigraphs $(CFLAGS)
+
+
+LDFLAGS = -s
 INSTALL = install
 INSTALL_DATA = $(INSTALL) -m 644
 INSTALL_PROGRAM = $(INSTALL)
 
 all: hdparm
 
-hdparm: hdparm.o identify.o
+hdparm: hdparm.o identify.o hdparm.h
 	$(CC) $(LDFLAGS) -o hdparm hdparm.o identify.o
  
 install: all hdparm.8
-	if [ -f $(DESTDIR)$(sbindir)/hdparm ]; then rm -f $(DESTDIR)$(sbindir)/hdparm ; fi 
+	if [ -f $(DESTDIR)$(sbindir)/hdparm ]; then rm -f $(DESTDIR)$(sbindir)/hdparm ; fi
 	if [ -f $(DESTDIR)$(mandir)/man8/hdparm.8 ]; then rm -f $(DESTDIR)$(mandir)/man8/hdparm.8 ;\
 	elif [ -f $(DESTDIR)$(oldmandir)/man8/hdparm.8 ]; then rm -f $(DESTDIR)$(oldmandir)/man8/hdparm.8 ; fi
 	$(INSTALL_PROGRAM) hdparm $(DESTDIR)$(sbindir)/hdparm

## hdparm 6.9

=== Makefile ===
# Makefile for hdparm

# DESTDIR is for non root installs (eg packages, NFS) only!
DESTDIR =

binprefix = 
manprefix = /usr
exec_prefix = $(binprefix)/
sbindir = $(exec_prefix)sbin
mandir = $(manprefix)/share/man
oldmandir = $(manprefix)/man

ifndef CC
CC = gcc
endif
CFLAGS := -O2 -W -Wall -Wbad-function-cast -Wcast-align -Wpointer-arith -Wcast-qual -Wshadow -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -fkeep-inline-functions -Wwrite-strings -Waggregate-return -Wnested-externs -Wtrigraphs $(CFLAGS)


LDFLAGS = -s
INSTALL = install
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_DIR = $(INSTALL) -m 755 -d
INSTALL_PROGRAM = $(INSTALL)

all: hdparm

hdparm: hdparm.o identify.o hdparm.h
	$(CC) $(LDFLAGS) -o hdparm hdparm.o identify.o
 
install: all hdparm.8
	if [ ! -z $(DESTDIR) ]; then $(INSTALL_DIR) $(DESTDIR) ; fi
	if [ ! -z $(DESTDIR)$(sbindir) ]; then $(INSTALL_DIR) $(DESTDIR)$(sbindir) ; fi
	if [ ! -z $(DESTDIR)$(mandir) ]; then $(INSTALL_DIR) $(DESTDIR)$(mandir) ; fi
	if [ ! -z $(DESTDIR)$(mandir)/man8/ ]; then $(INSTALL_DIR) $(DESTDIR)$(mandir)/man8/ ; fi
	if [ -f $(DESTDIR)$(sbindir)/hdparm ]; then rm -f $(DESTDIR)$(sbindir)/hdparm ; fi
	if [ -f $(DESTDIR)$(mandir)/man8/hdparm.8 ]; then rm -f $(DESTDIR)$(mandir)/man8/hdparm.8 ;\
	elif [ -f $(DESTDIR)$(oldmandir)/man8/hdparm.8 ]; then rm -f $(DESTDIR)$(oldmandir)/man8/hdparm.8 ; fi
	$(INSTALL_PROGRAM) -D hdparm $(DESTDIR)$(sbindir)/hdparm
	if [ -d $(DESTDIR)$(mandir) ]; then $(INSTALL_DATA) -D hdparm.8 $(DESTDIR)$(mandir)/man8/hdparm.8 ;\
	elif [ -d $(DESTDIR)$(oldmandir) ]; then $(INSTALL_DATA) -D hdparm.8 $(DESTDIR)$(oldmandir)/man8/hdparm.8 ; fi

clean:
	rm -f hdparm *.o core

## hdparm 7.5

=== Makefile ===
--- 
+++ 
@@ -13,8 +13,8 @@
 ifndef CC
 CC = gcc
 endif
-CFLAGS := -O2 -W -Wall -Wbad-function-cast -Wcast-align -Wpointer-arith -Wcast-qual -Wshadow -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -fkeep-inline-functions -Wwrite-strings -Waggregate-return -Wnested-externs -Wtrigraphs $(CFLAGS)
 
+CFLAGS := -O2 -W -Wall -Wextra -Wbad-function-cast -Wcast-align -Wpointer-arith -Wcast-qual -Wshadow -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -fkeep-inline-functions -Wwrite-strings -Waggregate-return -Wnested-externs -Wtrigraphs $(CFLAGS)
 
 LDFLAGS = -s
 INSTALL = install
@@ -22,10 +22,13 @@
 INSTALL_DIR = $(INSTALL) -m 755 -d
 INSTALL_PROGRAM = $(INSTALL)
 
+OBJS = hdparm.o identify.o sgio.o
+
 all: hdparm
 
-hdparm: hdparm.o identify.o hdparm.h
-	$(CC) $(LDFLAGS) -o hdparm hdparm.o identify.o
+hdparm: hdparm.h $(OBJS)
+	$(CC) $(LDFLAGS) -o hdparm $(OBJS)
+	strip hdparm
  
 install: all hdparm.8
 	if [ ! -z $(DESTDIR) ]; then $(INSTALL_DIR) $(DESTDIR) ; fi
@@ -40,5 +43,5 @@
 	elif [ -d $(DESTDIR)$(oldmandir) ]; then $(INSTALL_DATA) -D hdparm.8 $(DESTDIR)$(oldmandir)/man8/hdparm.8 ; fi
 
 clean:
-	rm -f hdparm *.o core
+	rm -f hdparm $(OBJS) core

## hdparm 8.9

=== Makefile ===
--- 
+++ 
@@ -14,22 +14,31 @@
 CC = gcc
 endif
 
-CFLAGS := -O2 -W -Wall -Wextra -Wbad-function-cast -Wcast-align -Wpointer-arith -Wcast-qual -Wshadow -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -fkeep-inline-functions -Wwrite-strings -Waggregate-return -Wnested-externs -Wtrigraphs $(CFLAGS)
+CFLAGS := -O2 -W -Wall -Wbad-function-cast -Wcast-align -Wpointer-arith -Wcast-qual -Wshadow -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -fkeep-inline-functions -Wwrite-strings -Waggregate-return -Wnested-externs -Wtrigraphs $(CFLAGS)
 
+#LDFLAGS = -s -static
 LDFLAGS = -s
 INSTALL = install
 INSTALL_DATA = $(INSTALL) -m 644
 INSTALL_DIR = $(INSTALL) -m 755 -d
 INSTALL_PROGRAM = $(INSTALL)
 
-OBJS = hdparm.o identify.o sgio.o
+OBJS = hdparm.o identify.o sgio.o sysfs.o geom.o fibmap.o
 
 all: hdparm
 
-hdparm: hdparm.h $(OBJS)
+hdparm: hdparm.h sgio.h $(OBJS)
 	$(CC) $(LDFLAGS) -o hdparm $(OBJS)
 	strip hdparm
- 
+
+sgio.o:	sgio.h
+
+hdparm.o:	hdparm.h sgio.h
+
+identify.o:	hdparm.h
+
+sgio.o: sgio.c sgio.h hdparm.h
+
 install: all hdparm.8
 	if [ ! -z $(DESTDIR) ]; then $(INSTALL_DIR) $(DESTDIR) ; fi
 	if [ ! -z $(DESTDIR)$(sbindir) ]; then $(INSTALL_DIR) $(DESTDIR)$(sbindir) ; fi
@@ -43,5 +52,5 @@
 	elif [ -d $(DESTDIR)$(oldmandir) ]; then $(INSTALL_DATA) -D hdparm.8 $(DESTDIR)$(oldmandir)/man8/hdparm.8 ; fi
 
 clean:
-	rm -f hdparm $(OBJS) core
+	-rm -f hdparm $(OBJS) core 2>/dev/null

## hdparm 9.15

=== Makefile ===
--- 
+++ 
@@ -10,9 +10,8 @@
 mandir = $(manprefix)/share/man
 oldmandir = $(manprefix)/man
 
-ifndef CC
-CC = gcc
-endif
+CC ?= gcc
+STRIP ?= strip
 
 CFLAGS := -O2 -W -Wall -Wbad-function-cast -Wcast-align -Wpointer-arith -Wcast-qual -Wshadow -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -fkeep-inline-functions -Wwrite-strings -Waggregate-return -Wnested-externs -Wtrigraphs $(CFLAGS)
 
@@ -23,19 +22,19 @@
 INSTALL_DIR = $(INSTALL) -m 755 -d
 INSTALL_PROGRAM = $(INSTALL)
 
-OBJS = hdparm.o identify.o sgio.o sysfs.o geom.o fibmap.o
+OBJS = hdparm.o identify.o sgio.o sysfs.o geom.o fibmap.o fwdownload.o dvdspeed.o
 
 all: hdparm
 
 hdparm: hdparm.h sgio.h $(OBJS)
 	$(CC) $(LDFLAGS) -o hdparm $(OBJS)
-	strip hdparm
-
-sgio.o:	sgio.h
+	$(STRIP) hdparm
 
 hdparm.o:	hdparm.h sgio.h
 
 identify.o:	hdparm.h
+
+dvdspeed.o:     dvdspeed.c
 
 sgio.o: sgio.c sgio.h hdparm.h

## hdparm 9.43

=== Makefile ===
--- 
+++ 
@@ -15,14 +15,14 @@
 
 CFLAGS := -O2 -W -Wall -Wbad-function-cast -Wcast-align -Wpointer-arith -Wcast-qual -Wshadow -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -fkeep-inline-functions -Wwrite-strings -Waggregate-return -Wnested-externs -Wtrigraphs $(CFLAGS)
 
+LDFLAGS = -s
 #LDFLAGS = -s -static
-LDFLAGS = -s
 INSTALL = install
 INSTALL_DATA = $(INSTALL) -m 644
 INSTALL_DIR = $(INSTALL) -m 755 -d
 INSTALL_PROGRAM = $(INSTALL)
 
-OBJS = hdparm.o identify.o sgio.o sysfs.o geom.o fibmap.o fwdownload.o dvdspeed.o
+OBJS = hdparm.o identify.o sgio.o sysfs.o geom.o fallocate.o fibmap.o fwdownload.o dvdspeed.o wdidle3.o
 
 all: hdparm
 
@@ -37,6 +37,8 @@
 dvdspeed.o:     dvdspeed.c
 
 sgio.o: sgio.c sgio.h hdparm.h
+
+fwdownload.o: fwdownload.c sgio.h hdparm.h
 
 install: all hdparm.8
 	if [ ! -z $(DESTDIR) ]; then $(INSTALL_DIR) $(DESTDIR) ; fi

## hdparm 9.48+ds

=== debian/changelog ===
hdparm (9.48+ds-1ubuntu0.1) xenial; urgency=medium

  * Update d/hdparm-functions: Only enable APM on disks that advertise it.
    LP: #1757481.

 -- dann frazier <dannf@ubuntu.com>  Wed, 21 Mar 2018 10:36:13 -0600

hdparm (9.48+ds-1) unstable; urgency=medium

  [ Alexandre Mestiashvili ]
  * d/control:
    - Remove dpkg-dev from Build-Depends
    - Add Vcs-* fields
    - Remove -dbg package, -dbgsym is generated automatically
    - Apply cme fix dpkg
    - Take over the package. Thanks to Stephen Gran
      and Michael Meskes for their former work.  Closes: #816168
    - Update extended description
  * d/copyright:
    - Update copyright file to comply with DEP5 standatd
    - Use File-Excluded: to remove debian/*, contrib/fix-standby
    - Add copyright statements for third party files
  * d/rules:
    - Convert to use debhelper
    - Drop init script
    - Do not modify postinst/postrm/prerm scripts
    - Export additional hardening flags
  * d/watch:
    - Remove uupdate
    - Repack and add +ds suffix because we remove the upstream's debian dir
  * d/patches:
    - spelling.patch: Fix typo in hdparm.8
    - fix_ldflags.patch: Don't hardcode LDFLAGS
    - quiet_sequrity_freeze.patch: Quiet the output when -q and
      --security-freeze flags are used, Closes: #512175
  * Imported Upstream version 9.48+ds, Closes: #706479, #795326
  * d/hdparm.udev: Don't trigger the udev rule on sd[a-z]*, Closes: #787969
  * d/source:format: 3.0 (quilt)
  * d/README.Debian: Warn users about obsoleted information, Closes: #707724
  * d/hdparm.dirs: Remove, not used
  * d/95hdparm-apm: Update header information, imported from Ubuntu
  * d/hdparm.init, d/hdparm.default, d/hdparm.service:
    Drop init files, use udev scripts, Closes: #796623
  * Move:
     - debian/hdparm.udev-script -> debian/udev-scripts/hdparm
     - debian/systemd-sleep.hook -> debian/systemd-sleep/hdparm
  * d/hdparm.install: Install systemd sleep and udev scripts,
    thanks to Michael Biebl, Closes: #725284
  * d/hdparm.postinst: Call update-rc.d hdparm remove as we dropped
    the init scripts, remove obsoleted part
  * d/hdparm.preinst: Remove obsoleted parts
  * d/hdparm.postrm: Remove, not needed with current versions in Debian
  * d/hdparm.maintscript: Remove obsoleted conffiles

  [ Raphaël Hertzog ]
  * Cleanup code to unregister the old init script.

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 08 Mar 2016 12:05:51 +0100

hdparm (9.43-2) unstable; urgency=medium

  * Synced from Ubuntu: (Closes: #725284)
    - reset apm options between devices
    - add script that gets run from udev when a new device is added
  * Added locking to prevent race in RAID setup.
    Thanks to Simon Elsbrock <simon@iodev.org> (Closes: #717190)

 -- Michael Meskes <meskes@debian.org>  Tue, 24 Feb 2015 11:59:58 +0100

hdparm (9.43-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Set DEB_MAKE_ENVVARS differently in order to take advantage of
    cross-building support in cdbs (closes: #694843).

 -- Colin Watson <cjwatson@debian.org>  Thu, 14 Nov 2013 12:15:41 +0000

hdparm (9.43-1) unstable; urgency=low

  * New upstream version

 -- Michael Meskes <meskes@debian.org>  Wed, 21 Nov 2012 11:34:15 +0100

hdparm (9.42-1) unstable; urgency=low

  * New upstream release
  * Allow udev rule to process large numbers of devices (closes: #675624)
  * Changed hdparm-functions to allow links instead of devices in hdparm.conf.
  * Taken from Ubuntu:
    Set spindown policy back to -B128 instead of -B127. Too many drives
    misbehave too badly with this setting, possibly leading to drive failure.
    We should revisit this once we understand why people's drives are spinning
    back *up* so frequently (closes: #684241)

 -- Michael Meskes <meskes@debian.org>  Tue, 09 Oct 2012 11:19:21 +0200

hdparm (9.39-1) unstable; urgency=low

  * New upstream version (closes: #602522, #631614, #639660)
  * Added myself to uploaders
  * Added Homepage field (closes: #533190, #545005)
  * Changed linking stage to not strip binary, otherwise the debug package
    would be empty
  * Renamed XC-Package-Type to Package-Type
  * No longer install idectl, that relies on options that were removed, and
    ultrabayd, that relies on idectl (closes: #511283)
  * Install UDEV rule to /lib/udev/rules.d (closes: #563762, #622568) 
  * Bumped build dependency on debhelper for correct udev handling.
  * Install wiper.sh into its own subdirectory together with its README.txt
  * Recommend powermgmt-base
  * Thanks to Dmitry Smirnov <onlyjob@member.fsf.org>:
    + Added description to init file 
    + Updated watch file to fetch from sourceforge
    + Clean up old rules from /etc/udev in postinst
  * Taken from Ubuntu:
    + pm-utils script 95-hdparm-apm:
      - run hdparm on wakeup (closes: #468307)
      - full integration with pm-utils (closes: #510676)
      - adjust hard drive APM settings (closes: #664041)
    + /lib/hdparm/hdparm-functions:
      -  prepare to replace our init script eventually
      -  special handling for Firewire/USB (closes: #654873)
    + hdparm.init:
      - only use the 'apm' setting when we're not on battery; when we are on
        battery, apply the separate 'apm_battery' setting.
      - Don't call hdparm -f for every drive; no clear rationale was ever given
        for doing this, and doing so slows down hard drive access at boot time.
      - also don't call sync... (closes: #546813)
    * hdparm.conf.5
  * hdparm.conf: added apm_battery, removed command_line example
  * Bumped Standards-Version to 3.9.3, no changes needed

 -- Michael Meskes <meskes@debian.org>  Tue, 27 Mar 2012 12:10:19 +0200

hdparm (9.32-1) unstable; urgency=low

  * New upstream version (closes: #574897)
    - Flags -B and -M should now be working
    - Fixes alignment issues
    - Correctly handles errno of EBADE (closes: #557384)
  * Don't make a symlink if it already exists (closes: #593963)
  * init script can follow symlinks to block devices now


=== debian/control ===
Source: hdparm
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>
Section: admin
Priority: optional
Build-Depends: debhelper (>= 9),
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/collab-main/hdparm.git/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/hdparm.git
Homepage: http://sourceforge.net/projects/hdparm/

Package: hdparm
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         lsb-base
Recommends: powermgmt-base
Suggests: apmd
Replaces: apmd (<= 3.0.2-1.15)
Description: tune hard disk parameters for high performance
 Get/set device parameters for Linux SATA/IDE drives.
 Rrovides a command line interface to various kernel interfaces supported by
 the Linux SATA/PATA/SAS "libata" subsystem and the older IDE driver subsystem.
 Many newer (2008 and later) USB drive enclosures now also support "SAT"
 (SCSI-ATA Command Translation) and therefore may also work with hdparm.

Package: hdparm-udeb
Architecture: any
Section: debian-installer
Depends: ${shlibs:Depends},
         ${misc:Depends}
Package-Type: udeb
Description: tune hard disk parameters for high performance
 Get/set device parameters for Linux SATA/IDE drives.
 .
 This is a minimal package for use in debian-installer.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_installudev:
	dh_installudev --priority=85

=== debian/watch ===
version=3

opts=dversionmangle=s/\+ds(\.\d+)?$//,repacksuffix=+ds,repack,compression=xz \
 http://sf.net/hdparm/hdparm[-_]([\d+\.]+)(?:\.tar|\.tgz)(?:\.gz|\.bz2|)

## hdparm 9.51%2Bds

=== debian/changelog ===
hdparm (9.51+ds-1+deb9u1) stretch; urgency=medium

  * Update d/hdparm-funtions: Only enable APM on disks that advertise it,
    patch from dann frazier <dannf@debian.org>, Closes: #891051

 -- Alexandre Mestiashvili <mestia@debian.org>  Tue, 15 May 2018 15:06:28 +0200

hdparm (9.51+ds-1) unstable; urgency=medium

  * New upstream version 9.51+ds
  * Bump debhelper version to v10
  * Refresh and update patches, drop spelling.patch apllied by upstream
  * Add makefile.patch removing hardcoded "-j4" and LDFALGS,
    drop fix_ldflags.patch
  * Drop d/hdparm.preinst as it is substituted by d/hdparm.maintscript

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 24 Jan 2017 12:20:05 +0100

hdparm (9.50+ds-1) unstable; urgency=medium

  * New upstream version 9.50+ds
  * Refresh quiet_sequrity_freeze.patch and update spelling.patch
  * Update copyright years

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 21 Oct 2016 14:11:37 +0200

hdparm (9.48+ds-2) unstable; urgency=medium

  * Fix typo in the long description, Closes: #818612
    thanks to Laura Arjona Reina for the patch.
  * Apply cme fix dpkg, update license name to match license short name
  * Apply patch from Helmut Grohne, Closes: #836504
    - Pass triplet-prefixed CC to make
    - Do not strip during build
  * Update d/control, fix typo in Vcs-Browser field

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Mon, 05 Sep 2016 15:40:42 +0200

## hdparm 9.51+ds

=== debian/changelog ===
hdparm (9.51+ds-1ubuntu0.1) artful; urgency=medium

  * Update d/hdparm-functions: Only enable APM on disks that advertise it.
    LP: #1757481.

 -- dann frazier <dannf@ubuntu.com>  Wed, 21 Mar 2018 10:23:10 -0600

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 XSBC-Original-Maintainer: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>
 Section: admin
 Priority: optional
-Build-Depends: debhelper (>= 9),
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-main/hdparm.git/
+Build-Depends: debhelper (>= 10)
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/hdparm.git/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/hdparm.git
 Homepage: http://sourceforge.net/projects/hdparm/
 
@@ -19,7 +19,7 @@
 Replaces: apmd (<= 3.0.2-1.15)
 Description: tune hard disk parameters for high performance
  Get/set device parameters for Linux SATA/IDE drives.
- Rrovides a command line interface to various kernel interfaces supported by
+ Provides a command line interface to various kernel interfaces supported by
  the Linux SATA/PATA/SAS "libata" subsystem and the older IDE driver subsystem.
  Many newer (2008 and later) USB drive enclosures now also support "SAT"
  (SCSI-ATA Command Translation) and therefore may also work with hdparm.

## hdparm 9.54+ds

=== debian/changelog ===
hdparm (9.54+ds-1) unstable; urgency=medium

  * New upstream version 9.54+ds
  * Refresh d/patches/quiet_security_freeze.patch
  * Update d/hdparm-funtions: Only enable APM on disks that advertise it,
    patch from dann frazier <dannf@debian.org>, Closes: #891051

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 22 Feb 2018 14:51:46 +0100

hdparm (9.53+ds-1) unstable; urgency=medium

  * New upstream version 9.53+ds
  * Update d/watch, version 4, use substitutions for package,
    version and extensions
  * Add -R option to d/hdparm-functions and hdparm.conf, Closes: #722426
  * Update d/control, remove Replaces: apmd (<= 3.0.2-1.15),
    bump Standards-Version to 4.1.3, debhelper to >=11
  * Bump compatibility level to 11
  * New upstream version 9.52+ds,( added support for JMicron USB to (S)ATA
    bridge ), Closes: #704095
  * Refresh patches
  * Update d/copyright, add new stanza for apt.c

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Sat, 06 Jan 2018 13:37:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: hdparm
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>
+Maintainer: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>
 Section: admin
 Priority: optional
-Build-Depends: debhelper (>= 10)
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 11)
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/hdparm.git/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/hdparm.git
 Homepage: http://sourceforge.net/projects/hdparm/
@@ -16,7 +15,6 @@
          lsb-base
 Recommends: powermgmt-base
 Suggests: apmd
-Replaces: apmd (<= 3.0.2-1.15)
 Description: tune hard disk parameters for high performance
  Get/set device parameters for Linux SATA/IDE drives.
  Provides a command line interface to various kernel interfaces supported by

=== debian/watch ===
version=4

opts=dversionmangle=s/\+ds(@ANY_VERSION@)?$//,repacksuffix=+ds,repack,compression=xz \
 http://sf.net/@PACKAGE@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## hdparm 9.56+ds

=== debian/changelog ===
hdparm (9.56+ds-2) unstable; urgency=medium

  * Introduce option "force_spindown_time" to forcibly set spindown (-S) option
    on disk not supporting APM, Closes: #758988
  * Update man page d/hdparm.conf.5 and default config file hdparm.conf
  * Substitute tabs with spaces in d/{hdparm-functions,95hdparm-apm}
  * Drop duplicated check for AdvancedPM, hdparm_try_apm() should be sufficient
  * Bump Policy version to 4.1.4

 -- Alexandre Mestiashvili <mestia@debian.org>  Thu, 24 May 2018 21:14:07 +0200

hdparm (9.56+ds-1) unstable; urgency=medium

  [ Alexandre Mestiashvili ]
  * Update Vcs-* to point to salsa.debian.org

  [ Julien CHATY-CAPELLE ]
  * Update hdparm.conf man page, hdparm doesn't use init script anymore

  [ Alexandre Mestiashvili ]
  * New upstream version 9.56+ds
  * Refresh and forward to upstream quiet_security_freeze.patch
  * Update maintainer's email in d/control and d/copyright
  * Update d/hdparm.conf.5, explain how to restart hdparm,
    strip trailing white spaces. Closes: #874080

 -- Alexandre Mestiashvili <mestia@debian.org>  Tue, 03 Apr 2018 15:02:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: hdparm
-Maintainer: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>
+Maintainer: Alexandre Mestiashvili <mestia@debian.org>
 Section: admin
 Priority: optional
 Build-Depends: debhelper (>= 11)
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/hdparm.git/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/hdparm.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/debian/hdparm
+Vcs-Git: https://salsa.debian.org/debian/hdparm.git
 Homepage: http://sourceforge.net/projects/hdparm/
 
 Package: hdparm

## hdparm 9.57+ds

=== debian/changelog ===
hdparm (9.57+ds-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Alexandre Mestiashvili ]
  * New upstream version 9.57+ds:
    "Added --set-sector-size flag, used to change logical sector size for
    drives which support multiple sector sizes.
    Also updated various bits of hdparm to better cope with non-512 byte
    sectors"
  * Drop d/patches/quiet_security_freeze.patch, applied by upstream
  * Update hdaprm.conf.5, drop redundant listing of options
  * Bump policy to 4.2.1

 -- Alexandre Mestiashvili <mestia@debian.org>  Thu, 18 Oct 2018 13:53:17 +0000

## hdparm 9.58+ds

=== debian/changelog ===
hdparm (9.58+ds-4) unstable; urgency=medium

  * Fix option parsing in hdparm udev script, Closes: #934051

 -- Alexandre Mestiashvili <mestia@debian.org>  Wed, 21 Aug 2019 14:36:14 +0200

hdparm (9.58+ds-3) unstable; urgency=medium

  * Remove connfile /etc/apm/event.d/20hdparm on upgrade, Closes: #932308
    Thanks to Laurent Bigonville
  * Update d/control, remove apmd from Suggests

 -- Alexandre Mestiashvili <mestia@debian.org>  Wed, 17 Jul 2019 16:07:16 +0200

hdparm (9.58+ds-2) unstable; urgency=medium

  * Drop d/20hdparm script, as APM seem to be almost dead
  * Update d/udev-scripts/hdparm, call pm-utils 95hdparm-apm helper
    for APM options
  * Update d/README.Debian, drop obsoleted information, describe defaults for
    hdparm 9.58+ds-2
  * Bump Polciy to 4.4.0

 -- Alexandre Mestiashvili <mestia@debian.org>  Tue, 16 Jul 2019 18:23:16 +0200

hdparm (9.58+ds-1) unstable; urgency=medium

  * New upstream version 9.58+ds, Closes: #911826

 -- Alexandre Mestiashvili <mestia@debian.org>  Fri, 26 Oct 2018 13:53:55 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: admin
 Priority: optional
 Build-Depends: debhelper (>= 11)
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian/hdparm
 Vcs-Git: https://salsa.debian.org/debian/hdparm.git
 Homepage: http://sourceforge.net/projects/hdparm/
@@ -14,7 +14,6 @@
          ${misc:Depends},
          lsb-base
 Recommends: powermgmt-base
-Suggests: apmd
 Description: tune hard disk parameters for high performance
  Get/set device parameters for Linux SATA/IDE drives.
  Provides a command line interface to various kernel interfaces supported by

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/architecture.mk
ifeq ($(origin CC),default)
	CC = $(DEB_HOST_GNU_TYPE)-gcc
endif

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CC=$(CC) STRIP=:

override_dh_installudev:
	dh_installudev --priority=85

## hdparm 9.60%2Bds

=== debian/changelog ===
hdparm (9.60+ds-1build3) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:57:38 +0100

hdparm (9.60+ds-1build2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:12:37 +0200

hdparm (9.60+ds-1build1) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:34:09 +0100

hdparm (9.60+ds-1) unstable; urgency=medium

  * d/copyright: add identify.c.orig to Files-Excluded
  * New upstream version 9.60+ds
  * Refresh and update patches
  * Patch hdparm.8, improve formatting, Closes: #959214, #900446
    don't use \' groff sequence for apostrophes
  * Update d/hdparm.conf, remove notes about obsoleted command_line option,
    remove devfs examples. Closes: #916994, #970854
  * Apply cme fix dpkg, bump versions of debhelper-compat and Standards-Version
  * Update hdparm.8 path in d/hdparm.manpages

 -- Alexandre Mestiashvili <mestia@debian.org>  Tue, 15 Dec 2020 23:01:56 +0100

hdparm (9.58+ds-5) unstable; urgency=medium

  [ Alexandre Mestiashvili ]
  * Add patch 0001-Fix-faults-in-Makefile.patch, thanks to Stefanos Chaliasos
  * Improve docs in hdparm.conf
  * Apply cme fix dpkg, bump Policy and debhelper version

 -- Alexandre Mestiashvili <mestia@debian.org>  Sat, 18 Apr 2020 21:08:16 +0200

## hdparm 9.60+ds

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Alexandre Mestiashvili <mestia@debian.org>
 Section: admin
 Priority: optional
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian/hdparm
 Vcs-Git: https://salsa.debian.org/debian/hdparm.git
 Homepage: http://sourceforge.net/projects/hdparm/

=== debian/watch ===
version=4

opts=dversionmangle=s/\+ds(@ANY_VERSION@)?$//,repacksuffix=+ds,repack,compression=xz \
 https://sf.net/@PACKAGE@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## hdparm 9.65%2Bds

=== debian/changelog ===
hdparm (9.65+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move all files below /usr (Closes: #1057779)
  * Drop Build-Depends: lsb-base (obsolete).

  [ Debian Janitor ]
  * Set upstream metadata fields: Archive, Bug-Database.

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 16 Apr 2024 09:54:44 +0200

hdparm (9.65+ds-1) unstable; urgency=medium

  * New upstream release (Closes: #1018078).
  * Rules-Requires-Root: no.
  * Standards-Version: 4.6.1.
  * Added myself to Uploaders.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 07 Oct 2022 00:33:00 +1100

## hdparm 9.65+ds

=== debian/changelog ===
hdparm (9.65+ds-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:58:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Source: hdparm
-Maintainer: Alexandre Mestiashvili <mestia@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alexandre Mestiashvili <mestia@debian.org>
+Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Section: admin
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/hdparm
 Vcs-Git: https://salsa.debian.org/debian/hdparm.git
 Homepage: http://sourceforge.net/projects/hdparm/
+Rules-Requires-Root: no
 
 Package: hdparm
 Architecture: any
